LMDE update / repository problem? SOLVED

Archived topics about LMDE 1
Forum rules
User avatar
gtsfer
Level 7
Level 7
Posts: 1756
Joined: Mon May 27, 2013 9:15 am
Location: Bucks County PA, USA

Re: LMDE update / repository problem?

Postby gtsfer » Mon Aug 11, 2014 7:50 am

Here's what I get on LMDE for GCC...
$ gcc --version
gcc (Debian 4.8.2-1) 4.8.2

Something is still wrong with your repos maybe if you have a different version than I'm showing. If you want for now, go back to the nouveau driver and straighten this out first (the GCC thing). See what your repos look like again for starters with the "inxi -r" command. Or go edit the file. If you have any OTHER source files, like those files two for Google, maybe they're pulling in a different version of GCC, I dunno. Clean it all up, maybe get rid of (delete) the Google source files, do an "apt-get update" for starters and we'll go from there. I can help you purge out the nVidia driver completely, install nouveau for now and start fresh. Then you could get nVidia back when the GCC issue is gonzo.

This is the contents (via edit and copy) of my official-package-repositories.list.

Code: Select all

deb http://packages.linuxmint.com debian main upstream import
deb http://debian.linuxmint.com/latest/ testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free
deb http://extra.linuxmint.com debian main
Please add SOLVED to the Subject if it's resolved.
There is no gravity, the earth sucks.

User avatar
kbkatz1
Level 3
Level 3
Posts: 153
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: LMDE update / repository problem?

Postby kbkatz1 » Sat Aug 16, 2014 11:05 am

My repositories are the same.

Code: Select all

deb http://packages.linuxmint.com debian main upstream import
deb http://debian.linuxmint.com/latest/ testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free
deb http://extra.linuxmint.com debian main


I did make some progress by installing an updated NVIDIA driver. Now I can boot into the the login screen but whatever session I choose (cinnamon, cinnamon2d, etc.) I receive an error that it will only run the default xsession. When the login completes the desktop is all black the lower panel is blacked out, I can however see a folder I have on the desktop. Fortunately, I can right click and open a Terminal.

I have tried apt-get update and apt-get upgrade already.... nothing new installs but 2 (somethings) are held back.
LMDE
ChromeOS

User avatar
killer de bug
Level 12
Level 12
Posts: 4358
Joined: Tue Jul 08, 2008 1:49 pm
Location: Graz, Austria

Re: LMDE update / repository problem?

Postby killer de bug » Sun Aug 17, 2014 7:30 am

kbkatz1 wrote:I have tried apt-get update and apt-get upgrade already.... nothing new installs but 2 (somethings) are held back.

This is not normal!

Try

Code: Select all

apt update && apt dist-upgrade && apt install -f
Image
If it ain't broke, fix it until it is.

User avatar
kbkatz1
Level 3
Level 3
Posts: 153
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: LMDE update / repository problem?

Postby kbkatz1 » Sun Aug 17, 2014 12:54 pm

ran:
apt update && apt dist-upgrade && apt install -f

as root. No change.

I still receive "the following packages have been kept back: libatril mate-netspeed"

Definitely believe it may still be a dependency error somewhere.
LMDE
ChromeOS

User avatar
killer de bug
Level 12
Level 12
Posts: 4358
Joined: Tue Jul 08, 2008 1:49 pm
Location: Graz, Austria

Re: LMDE update / repository problem?

Postby killer de bug » Sun Aug 17, 2014 1:06 pm

Then, could you try to run:

Code: Select all

apt policy libatril mate-netspeed

Code: Select all

apt install libatril mate-netspeed
Image
If it ain't broke, fix it until it is.

User avatar
kbkatz1
Level 3
Level 3
Posts: 153
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: LMDE update / repository problem?

Postby kbkatz1 » Sun Aug 17, 2014 10:42 pm

apt policy libatril mate-netspeed

apt install libatril mate-netspeed

These two commands took care of the "labril" problem I had. :)

Unfortunetly I am still unable to access a "normal" GUI environment. :(
Now I can boot into the the login screen but whatever session I choose (cinnamon, cinnamon2d, etc.) I receive an error that it will only run the default xsession. When the login completes the desktop is all black the lower panel is blacked out, I can however see a folder I have on the desktop. Fortunately, I can right click and open a Terminal.
LMDE
ChromeOS

User avatar
killer de bug
Level 12
Level 12
Posts: 4358
Joined: Tue Jul 08, 2008 1:49 pm
Location: Graz, Austria

Re: LMDE update / repository problem?

Postby killer de bug » Mon Aug 18, 2014 3:45 am

Could you please post the output of

Code: Select all

inxi -F
Image
If it ain't broke, fix it until it is.

User avatar
kbkatz1
Level 3
Level 3
Posts: 153
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: LMDE update / repository problem?

Postby kbkatz1 » Mon Aug 18, 2014 10:20 pm

System: Host: Inspiron531s Kernel: 3.2.0-2-486 i686 (32 bit) Desktop: Gnome Distro: Linux Mint Debian Edition
Machine: System: Dell product: Inspiron 531s version: 00
Mobo: Dell model: 0RY206 version: ??? Bios: Dell version: 1.0.12 date 06/02/2008
CPU: Single core AMD Sempron LE-1300 (-UP-) cache: 512 KB flags: (lm nx pae sse sse2 sse3) clocked at 1000.00 Mhz
Graphics: Card: NVIDIA NV44 [Quadro NVS 285] X.Org: 1.14.3 driver: nvidia Resolution: 1680x1050@60.0hz
GLX Renderer: Quadro NVS 285/PCIe/SSE2/SSE3/3DNOW! GLX Version: 2.1.2. NVIDIA 304.123
Audio: Card: NVIDIA MCP61 High Definition Audio driver: snd_hda_intel Sound: ALSA ver: 1.0.24
Network: Card: NVIDIA MCP61 Ethernet driver: forcedeth
IF: eth1 state: up speed: 100 Mbps duplex: full mac: xxxxxxxx(I intentionally left this x'd out)
Drives: HDD Total Size: 490.1GB (2.2% used) 1: id: /dev/sda model: WDC_WD16000AAJS size: 160.0GB
2: id: /dev/sdc model: ST380013AS size: 80.0GB 3: id: /dev/sdb/ model: 2500JB_External size: 250.1GB
Partition: ID: / size: 8.4G used: 6.1G (77%) fs: ext4 ID: /home size: 64G used: 3.8G (7%) fs: ext4
ID: swap-1 size: 2.10G used: 0.00GB (0%) fs: swap
Sensors: System Temperatures: cpu: 8.0C mobo: N/A gpu: 60C
Fan Speeds (in rpm): cpu: N/A
Info: Processes: 160 Uptime: 14 min Memory: 749.9/3676.3MB Client: Shell (bash) inxi: 1.9.14

Had to read and type all of that....
LMDE
ChromeOS

User avatar
killer de bug
Level 12
Level 12
Posts: 4358
Joined: Tue Jul 08, 2008 1:49 pm
Location: Graz, Austria

Re: LMDE update / repository problem?

Postby killer de bug » Tue Aug 19, 2014 3:35 am

You can copy and paste...

Something is wrong with your install, you are not up-to-date.
Your kernel is not the good one. So please, can you type this in a terminal

Code: Select all

apt dist-upgrade

And post the last 2 or 3 lines here. :)
Image
If it ain't broke, fix it until it is.

User avatar
kbkatz1
Level 3
Level 3
Posts: 153
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: LMDE update / repository problem?

Postby kbkatz1 » Tue Aug 19, 2014 10:38 pm

0 upgraded, 0 newly installed, and 0 not upgraded
LMDE
ChromeOS

User avatar
killer de bug
Level 12
Level 12
Posts: 4358
Joined: Tue Jul 08, 2008 1:49 pm
Location: Graz, Austria

Re: LMDE update / repository problem?

Postby killer de bug » Wed Aug 20, 2014 4:38 am

Could you please post the output of apt policy cinnamon nemo

I can't understand how your system can tell you that you use UP8 with this kernel. Except, Except... if you selected this old kernel on purpose when you started your system...
Image
If it ain't broke, fix it until it is.

User avatar
gtsfer
Level 7
Level 7
Posts: 1756
Joined: Mon May 27, 2013 9:15 am
Location: Bucks County PA, USA

Re: LMDE update / repository problem?

Postby gtsfer » Wed Aug 20, 2014 6:59 am

kbkatz1 wrote:... Not this time though when I go to install it it says I now have a newer GCC (4.6?) than what the NVIDIA driver was compiled for GCC 4.4?

This GCC version still confuses me as well. Unless it was installed on purpose. It doesn't match the default that I have for LMDE.
Please add SOLVED to the Subject if it's resolved.
There is no gravity, the earth sucks.

User avatar
kbkatz1
Level 3
Level 3
Posts: 153
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: LMDE update / repository problem?

Postby kbkatz1 » Thu Aug 21, 2014 7:08 pm

apt policy cinnamon nemo

Cinnamon:
Installed: (none)
Candidate: 2.0.14+lmde
Version table:
2.0.14+lmde 0
700 http://packages.linuxmint.com/ debian/main i386 Packages
1.8.8+lmde 0
100 /var/lib/dpkg/status

nemo:
Installed: (none)
Candidate: 2.0.8+lmde
Version table:
2.0.8+lmde 0
700 http://packages.linuxmint.com/latest/ testing/main i386 Packages
1.8.4-1+b1
500 http://debian.linuxmint.com/latest/ testing/main i386 Packages
1.8.3+lmde 0
100 /var/lib/dpkg/status
LMDE
ChromeOS

User avatar
kbkatz1
Level 3
Level 3
Posts: 153
Joined: Tue Jun 15, 2010 4:28 pm
Location: U.S.A

Re: LMDE update / repository problem?

Postby kbkatz1 » Sun Aug 24, 2014 12:14 am

I've decided to just reinstall LMDE. Turns out it is easier than trying to figure out all of the issues I was having. Lesson learned = don't wait so long to run the updates.

Thank you, to those who have attempted to resolve the issues I was having.
LMDE
ChromeOS


Return to “Archive”

Who is online

Users browsing this forum: No registered users and 1 guest